import java.io.IOException;
import java.util.ArrayList;
import java.util.LinkedHashSet;

import com.sun.webkit.network.URLs;
import org.jsoup.Jsoup;
import org.jsoup.Connection;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;


public class webCrawler {
    public static void main(String[] args) {
        String url = "https://en.wikipedia.org/";
        crawl(1, url, new ArrayList<String>());
        LinkedHashSet<String> visitedURLs = new LinkedHashSet<>();
        String urlCount = null;
    }

    private static void crawl(int level, String url, ArrayList<String> visited) {
        if (level <= 5) {
            org.jsoup.nodes.Document doc = request(url, visited);

            if (doc != null) {
                for (Element link : doc.select("a[href]")) {
                    String next_link = link.absUrl("href");
                    if (visited.contains(next_link) == false) {
                        crawl(level++, next_link, visited);
                    }
                }
            }
        }
    }

    private static org.jsoup.nodes.Document request(String url, ArrayList<String> v) {
            try {
                Connection con = Jsoup.connect(url);
                Document doc = con.get();

                if (con.response().statusCode() == 200) {
                    System.out.println(" - Link: " + url);
                    System.out.println(((org.jsoup.nodes.Document) doc).title());
                    Thread.sleep(50);
                    v.add(url);
                    return doc;
                }
            } catch (IOException | InterruptedException e) {
                return null;
            }

        return null;
    }
}


